Subject: Re: linux-next: wireless-current tree build failure

From: reinette chatre <[email-masked]>
Date: Wed, 22 Apr 2009 11:08:46 -0700

Hi John,

On Wed, 2009-04-22 at 06:03 -0700, John W. Linville wrote:
> On Wed, Apr 22, 2009 at 03:19:28PM +1000, Stephen Rothwell wrote:
> > Hi John,
> > 
> > Today's linux-next build (powerpc allyesconfig) failed like this:
> > 
> > drivers/net/wireless/iwlwifi/iwl3945-base.c:1415: error: __ksymtab_iwl3945_rx_queue_reset causes a section type conflict
> > 
> > I am pretty sure that this is a compiler bug, so not to worry.  However,
> > as far as I can see, iwl-3945.o (the only user) and iwl3945-base.o are
> > always linked into the same module, so the EXPORT_SYMBOL (which causes
> > the problem) should not be needed.  Correct?
> > 
> > I applied the following patch for today.  This makes the above error go
> > away and my x86_64 allmodconfig still builds.
> 
> Seems reasonable.  Reinette, should I just take Stephen's patch?
> Or would you prefer some other solution?

This patch looks good. I did ack a duplicate patch from Johannes, but
Stephen was first with this solution. You can choose which one you want
to merge.

Acked-by: Reinette Chatre <[email-masked]>

Thank you

Reinette